import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

const routes: Routes = [
  {
    path: 'main',
    loadChildren: './main/dashboard-main.module#DashboardMainModule'
  },
  {
    path: 'media',
    loadChildren: './media/dashboard-media.module#DashboardMediaModule'
  },
  {
    path: 'user',
    loadChildren: './user/dashboard-user.module#DashboardUserModule'
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class DashboardRoutingModule {}
